| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PublisherListener Class Reference
eProsima Fast DDS API Reference » DDS Public API

Class PublisherListener, allows the end user to implement callbacks triggered by certain events. More...

`#include <PublisherListener.hpp>`

Inheritance diagram for PublisherListener:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | PublisherListener ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~PublisherListener ()
| Destructor.
Public Member Functions inherited from DataWriterListener
| DataWriterListener ()
| Constructor.
virtual | ~DataWriterListener ()
| Destructor.
virtual void | on_publication_matched (DataWriter *writer, const PublicationMatchedStatus &info)
| This method is called when the DataWriter is matched (or unmatched) against an endpoint.
virtual void | on_offered_deadline_missed (DataWriter *writer, const OfferedDeadlineMissedStatus &status)
| A method called when a deadline is missed.
virtual void | on_offered_incompatible_qos (DataWriter *writer, const OfferedIncompatibleQosStatus &status)
| A method called when an incompatible QoS is offered.
virtual void | on_liveliness_lost (DataWriter *writer, const LivelinessLostStatus &status)
| Method called when the liveliness of a DataWriter is lost.
virtual void | on_unacknowledged_sample_removed (DataWriter *writer, const InstanceHandle_t &instance)
| Method called when a sample has been removed unacknowledged.

## Detailed Description

Class PublisherListener, allows the end user to implement callbacks triggered by certain events.

It inherits all the DataWriterListener callbacks.

## Constructor & Destructor Documentation

## ◆ PublisherListener()

FASTDDS_EXPORTED_API PublisherListener | ( |  | ) |

inline

Constructor.

## ◆ ~PublisherListener()

virtual FASTDDS_EXPORTED_API ~PublisherListener | ( |  | ) |

inline virtual

Destructor.

The documentation for this class was generated from the following file:

- include/fastdds/dds/publisher/PublisherListener.hpp